Summary: C implementation of the Frame Streams data transport protocol
Name: fstrm
Version: 0.6.1
Release: 5%{?dist}
License: MIT
URL: https://github.com/farsightsec/fstrm
Source0: https://dl.farsightsecurity.com/dist/fstrm/fstrm-%{version}.tar.gz
Patch3000: fstrm-0.6.1-Fix-deadcode-and-check-return-code.patch
Patch3001: fstrm-0.6.1-Invalid-dereference.patch
Patch3002: fstrm-0.6.1-Possible-resource-leak-fix.patch
Patch3003: fstrm-0.6.1-Fix-CLANG_WARNING.patch

BuildRequires: autoconf automake libtool
BuildRequires: libevent-devel
Provides: bundled(libmy)

%description
Frame Streams is a light weight, binary clean protocol with only 4 bytes per data frame.
Frame streams can be serialized in many formats, including protocol buffer, XML, JSON, 
MessagePack, YAML, etc.

%package utils
Summary: Frame Streams (fstrm) utilities
Requires: fstrm = %{version}-%{release}

%description utils
The fstrm-utils package contains command line utilities.

%package devel
Summary: Development Files for fstrm library
Requires: fstrm = %{version}-%{release}

%description devel
The fstrm-devel package contains header files required to build an application using 
fstrm library.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install
rm %{buildroot}%{_libdir}/libfstrm.la

%check
make check

%files
%license COPYRIGHT LICENSE
%{_libdir}/libfstrm.so.*

%files utils
%{_bindir}/fstrm_capture
%{_bindir}/fstrm_dump
%{_bindir}/fstrm_replay
%{_mandir}/man1/fstrm_*

%files devel
%doc README.md
%{_includedir}/fstrm.h
%{_includedir}/fstrm/
%{_libdir}/pkgconfig/libfstrm.pc
%{_libdir}/libfstrm.so

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 2 2022 Wang Guodong <gordonwwang@tencent.com> - 0.6.1-1
- package init.
